Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.perspective.event
Interface LayoutListener

All Superinterfaces:
  EventListener

    public interface LayoutListener

extends EventListener

Author:
  Christopher Butler

Method Summary
`void` | `dockableDisplayed(LayoutEvent evt)`
`void` | `dockableHidden(LayoutEvent evt)`
`void` | `layoutApplied(LayoutEvent evt)`
`void` | `layoutEmptied(LayoutEvent evt)`

Method Detail

### layoutApplied

    void layoutApplied(LayoutEvent evt)

### layoutEmptied

    void layoutEmptied(LayoutEvent evt)

### dockableHidden

    void dockableHidden(LayoutEvent evt)

### dockableDisplayed

    void dockableDisplayed(LayoutEvent evt)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD